Subject: Re: compile gtk2 applications on cygwin?
From: "Gerrit P. Haase" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Tue, 12 Aug 2003 00:02:32 +0200

Hallo Franz,

Am Montag, 11. August 2003 um 14:56 schriebst du:

> Hi,
> is there anyone out there who has successfully compiled a glade-2 or gtk2 
> application on windows under the cygwin package?
> I had some hard days until it went through autogen and make (mainly 
> because
> I did have all the things I needed) but it now copiles ok.

> But when I try to start my program I get the message:

>    (process:263): Gdk-WARNING **: locale not supported by C library

>    (process:263): Gdk-WARNING **: locale not supported by Xlib

>    (process:263): Gdk-WARNING **: can not set locale modifiers

>    Gtk-ERROR **: Incompatible build!
>    The code using GTK+ thinks GtkBox is of different
>    size than it actually is in this build of GTK+.
>    On Windows, this probably means that you have compiled
>    your code with gcc without the -fnative-struct
>    (or -mms-bitfields) switch, or that you are using
>    an unsupported compiler.
>    aborting...
>    Aborted (core dumped)

> I tried gcc2 with -fnative-struct and gcc3 with -mms-bitfields but it's 
> all the same.

> Anyone a clue? Seems that I got definitely stuck here.

There are some gnome2 patches available, there is xlocale used where
it is needed, see here for a starting point:
http://cygnome2.sourceforge.net/test-patches/

And read the README!

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/